object

# `cbor(StringRepresentation)`

- `StringRepresentation` - Text representation to be used when decoding CBOR strings. Possible values are `atom` (default), `chars`, and `codes`.

Concise Binary Object Representation (CBOR) format exporter and importer.

Availability:
`logtalk_load(cbor(loader))`
Author: Paulo Moura
Version: 0:12:1
Date: 2026-06-14
Compilation flags:
`static, context_switching_calls`
Uses:
ieee_754(Precision,ByteOrder,NaNRepresentation)
list
Remarks:
(none)
Inherited public predicates:
(none)

## Public predicates

### `parse/2`

Parses a list of bytes in the CBOR format returning the corresponding term representation. Throws an error when parsing is not possible (usually due to an invalid byte sequence).

Compilation flags:
`static`
Template:
`parse(Bytes,Term)`
Mode and number of proofs:
`parse(@list(byte),-ground)` - `one_or_error`
Exceptions:
`Bytes` is not ground:
`instantiation_error`
`Bytes` is not a valid CBOR byte sequence:
`domain_error(cbor_byte_sequence,Bytes)`

### `generate/2`

Generates a list of bytes in the CBOR format representing the given term. Throws an error when generating is not possible (usually due to a term that have no CBOR corresponding representation).

Compilation flags:
`static`
Template:
`generate(Term,Bytes)`
Mode and number of proofs:
`generate(@ground,-list(byte))` - `one_or_error`
Exceptions:
`Term` is a variable:
`instantiation_error`
`Term` is neither a variable nor has a corresponding CBOR representation:
`domain_error(cbor_term,Term)`

## Protected predicates

(no local declarations; see entity ancestors if any)

## Private predicates

(no local declarations; see entity ancestors if any)

## Operators

(none)